#############################################################
#
# wpa_supplicant card services
#
#############################################################
# Copyright (C) 2001-2003 by Erik Andersen <andersen@codepoet.org>
# Copyright (C) 2002 by Tim Riker <Tim@Rikers.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
WPA_SUPPLICANT_SITE=http://hostap.epitest.fi/releases/
WPA_SUPPLICANT_VERSION=0.3.8
WPA_SUPPLICANT_SOURCE=wpa_supplicant-$(WPA_SUPPLICANT_VERSION).tar.gz
WPA_SUPPLICANT_DIR=$(BUILD_DIR)/wpa_supplicant-$(WPA_SUPPLICANT_VERSION)
WPA_SUPPLICANT_PATCH:=$(SOURCE_DIR)/wpa_supplicant.patch
WPA_SUPPLICANT_CAT=zcat

WPA_SUPPLICANT_CONFIG_FILE=$(CONFIG_DIR)/config-wpa_supplicant

WPA_SUPPLICANT_PKG_DIR=$(HOSTAP_PKG_DIR)

$(DL_DIR)/$(WPA_SUPPLICANT_SOURCE):
	$(WGET) -P $(DL_DIR) $(WPA_SUPPLICANT_SITE)/$(WPA_SUPPLICANT_SOURCE)

wpa_supplicant-source: $(DL_DIR)/$(WPA_SUPPLICANT_SOURCE)

$(WPA_SUPPLICANT_DIR)/.unpacked: $(DL_DIR)/$(WPA_SUPPLICANT_SOURCE)
	$(WPA_SUPPLICANT_CAT) $(DL_DIR)/$(WPA_SUPPLICANT_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(WPA_SUPPLICANT_DIR)/.unpacked

$(WPA_SUPPLICANT_DIR)/.configured: $(WPA_SUPPLICANT_DIR)/.unpacked
	cp $(WPA_SUPPLICANT_CONFIG_FILE) $(WPA_SUPPLICANT_DIR)/.config
	touch $(WPA_SUPPLICANT_DIR)/.configured

$(WPA_SUPPLICANT_DIR)/wpa_supplicant: $(WPA_SUPPLICANT_DIR)/.configured
	( cd $(WPA_SUPPLICANT_DIR) ; \
	$(MAKE) CC=$(TARGET_CC); \
	);

$(WPA_SUPPLICANT_PKG_DIR)/usr/sbin/wpa_supplicant: $(WPA_SUPPLICANT_DIR)/wpa_supplicant
	mkdir -p $(WPA_SUPPLICANT_PKG_DIR)/usr/sbin
	cp -a $(WPA_SUPPLICANT_DIR)/wpa_supplicant $(WPA_SUPPLICANT_PKG_DIR)/usr/sbin/wpa_supplicant
	cp -a $(WPA_SUPPLICANT_DIR)/wpa_cli $(WPA_SUPPLICANT_PKG_DIR)/usr/sbin/wpa_supplicant
	touch $(WPA_SUPPLICANT_PKG_DIR)/etc/wpa_supplicant.conf
	-$(SSTRIP) $(WPA_SUPPLICANT_PKG_DIR)/usr/sbin/wpa_supplicant
	-$(SSTRIP) $(WPA_SUPPLICANT_PKG_DIR)/usr/sbin/wpa_cli

wpa_supplicant: $(WPA_SUPPLICANT_PKG_DIR)/usr/sbin/wpa_supplicant

wpa_supplicant-clean:
	-rm -rf $(WPA_SUPPLICANT_PKG_DIR)/*
	-$(MAKE) -C $(WPA_SUPPLICANT_DIR) clean

wpa_supplicant-dirclean:
	-rm -rf $(WPA_SUPPLICANT_PKG_DIR)/*
	-rm -rf $(WPA_SUPPLICANT_DIR)
